Summary:        Authentication module for Apache httpd with JSON web tokens (JWT)
Name:           mod_authnz_jwt
Version:        1.2.0
Release:        5%{?dist}
License:        Apache
URL:            https://github.com/AnthonyDeroche/mod_authnz_jwt
Packager:       Teddysun <i@teddysun.com>
Source:         https://github.com/AnthonyDeroche/mod_authnz_jwt/archive/refs/tags/v%{version}.tar.gz#/mod_authnz_jwt-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  jansson-devel
BuildRequires:  openssl-devel
BuildRequires:  httpd-devel
BuildRequires:  libjwt-devel
BuildRequires:  gcc-c++
BuildRequires:  zlib-devel
Requires:       httpd
Requires:       jansson
Requires:       openssl

%description
Authentication module for Apache httpd with JSON web tokens (JWT)
(see jwt.io for details on JWT).

%prep
%setup -q

%build
autoreconf -ivf
./configure --prefix=%{_prefix} --libdir=%{_libdir} --libexecdir=%{_libdir}/httpd/modules
make

%install
echo "LoadModule auth_jwt_module modules/mod_authnz_jwt.so" > 10-authnz-jwt.conf
mkdir -p %{buildroot}%{_httpd_modconfdir}
install -m 644 10-authnz-jwt.conf %{buildroot}%{_httpd_modconfdir}


mkdir -p %{buildroot}%{_libdir}/httpd/modules
#make install DESTDIR=%{buildroot}
apxs -i -n auth_jwt -S LIBEXECDIR=%{buildroot}%{_libdir}/httpd/modules mod_authnz_jwt.la

%files
%defattr(-,root,root)
%{_libdir}/httpd/modules/*so
%config(noreplace) %{_httpd_modconfdir}/10-authnz-jwt.conf

%changelog
* Mon Nov 25 2024 Teddysun <i@teddysun.com> - 1.2.0-5
- change download URL

* Fri Feb 16 2024 josef radinger <cheese@nosuchhost.net> - 1.2.0-4
- add Buildrequires on gcc-c++
- add Buildrequires on zlib-devel

* Fri Feb 16 2024 josef radinger <cheese@nosuchhost.net> - 1.2.0-3
- fix apache-module-cnf

* Thu Feb 15 2024 josef radinger <cheese@nosuchhost.net> - 1.2.0-2
- cleanup specfile
- change path to github
- add Buildrequires for automake, libtool, libjwt-devel
- add apache-module-conf

* Thu Feb 15 2024 josef radinger <cheese@nosuchhost.net> - 1.2.0-1
- bump version

* Wed Sep 19 2018 Gavin Carr <gavin@openfusion.com.au> 1.1.3-1
- Initial package.
